Aviso de seguridad de Debian

DSA-1076-1 lynx -- error de programación

Fecha del informe:
26 de may de 2006
Paquetes afectados:
lynx
Vulnerable:
Referencias a bases de datos de seguridad:
En el sistema de seguimiento de errores de Debian: error 296340.
En la base de datos de Bugtraq (en SecurityFocus): Id. en BugTraq 11443.
En el diccionario CVE de Mitre: CVE-2004-1617.
Información adicional:

Michal Zalewski descubrió que lynx, el conocido navegador web en modo texto, no podía reconocer el HTML no válido que incluyese una etiqueta TEXTAREA con un valor COLS muy grande y un nombre de etiqueta muy grande en un elemento que no estuviese terminado, entrando en un bucle infinito al intentar representar el HTML roto.

Para la distribución estable anterior (woody), este problema se ha corregido en la versión 2.8.4.1b-3.4.

Para la distribución estable (sarge), este problema se ha corregido en la versión 2.8.5-2sarge2.

Para la distribución inestable (sid), este problema se ha corregido en la versión 2.8.5-2sarge2.

Le recomendamos que actualice el paquete lynx.

Arreglado en:

Debian GNU/Linux 3.0 (woody)

Fuentes:
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b-3.4.dsc
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b-3.4.diff.gz
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b-3.4_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b-3.4_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b-3.4_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b-3.4_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b-3.4_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b-3.4_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b-3.4_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b-3.4_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b-3.4_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b-3.4_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.4.1b-3.4_sparc.deb

Debian GNU/Linux 3.1 (sarge)

Fuentes:
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge2.dsc
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge2.diff.gz
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge2_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge2_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge2_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge2_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge2_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge2_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge2_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge2_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge2_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge2_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge2_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/l/lynx/lynx_2.8.5-2sarge2_sparc.deb

Las sumas MD5 de los ficheros que se listan están disponibles en el aviso original.